/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

/* ****************************************************************************
   |      File: ldirectory.h
   |      Contains: class definition for LDirectory
   |      Created: 21.03.1999
   |      Last Changed: 21.03.1999
   |      Version: 0.0
   |         
   |      ToDo: + just started
   |
   ************************************************************************* */

/* ====>> See also the ChangeLog in ldirectory.cc <<==== */

#ifndef _L_DIRECTORY_H_
#define _L_DIRECTORY_H_

#include <lcl.h>

#include <lcl/lstring.h>
#include <lcl/lheap.h>

class LCL_EXPORT LDirectory {
 public:

  class LCL_EXPORT Entry {
  public:
    enum EntryType { TYPE_DIR, TYPE_FILE };

  protected:
    LString name;
    EntryType type;

  public:
    Entry ( LString const & name, EntryType _type );
    EntryType getType ( ) const;
    LString getName () const;
  };

  static LHeap<Entry> getListFull ( LString const & );

  static LHeap<LString> getList ( LString const & );
  static LHeap<LString> getFileList ( LString const & );
};

#endif
