/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#ifndef _LLINKEDCONTAINER_H_
#define _LLINKEDCONTAINER_H_

#include <lcl.h>
#include <string.h>

/*!
 * \class LLinkedContainer
 * \ingroup Collections
 *
 *
 */

template <class Type>
class LCL_EXPORT LLinkedContainer {
 public:
  LLinkedContainer *next, *prev;
  Type item;

 public:
  LLinkedContainer ( Type const & );
};

template <class Type>
LLinkedContainer<Type>::LLinkedContainer ( Type const & _item ) :
  next ( NULL ), prev ( NULL ),
  item ( _item )
{  
}

#endif
