#ifndef _LREGEX_H_
#define _LREGEX_H_

#include <lcl.h>

//#include <sys/types.h>

// DUMP code when PCRE works
/*
#ifdef _WIN32
extern "C" {
#include "lcl/regex.gnu.h"
}
#else
#include <regex.h>
#endif
*/

class LCL_EXPORT LRegEx;

#include <lcl/lstring.h>

class LCL_EXPORT LRegEx {
 protected:

  /*	
  regex_t exp;
  regmatch_t * matches;
  */
  void * pcre_compiled;
  int * ovector;
  int maxMatches, foundMatches;

  LString dupe;

  int sys_getMaxCount ();
  
 public:
  
  LRegEx ();
  LRegEx ( LString const & );
  virtual ~LRegEx ();
  
  long exec ( LString const &, int = 0 );
  
  long numMatches () const;
  LString match ( long );
  LString beforeMatch ( long );
  LString afterMatch ( long );
  
  void clear ();
  bool set ( LString const & );

  bool isValid () const;
};

#endif

