#ifndef _LSTRINGSTREAM_H_
#define _LSTRINGSTREAM_H_

#include <lcl.h>

#include <lcl/lvcs.h>

#include <lcl/liostream.h>

class LCL_EXPORT LStrStream : public LIOStream {
  LVCS_DECLARE;
 private:
  LString buffer;
  long position;

 public:

  bool isDataAvailable () const;

  LStrStream ();
  LStrStream ( LString const & );

  //  virtual bool mayRead ();
  virtual int read ( char & c );

  //  virtual bool mayWrite ();
  virtual int write ( char c );

  LString getBuffer () const;
};

#endif
