#ifndef _LCL_TIMER_H_
#define _LCL_TIMER_H_

#include <lcl.h>

#include <lcl/lticker.h>

class LCL_EXPORT LTimer {
 protected:
  LTicker & m_ticker;
  LSlotConnection tickSlot;
  luint32 m_start, m_timeout;
  LString m_name;

 public:
  LTimer ( LTicker & ticker, LString const & = LString() );
  ~LTimer ();

  void ticked ( void );
  void set ( luint32 );
  void unset ( void );

  LEmitter1<LString> expiredNamed;
  LEmitter0 expired;
};

#endif
