all: liblcl.a

SRCS=lapp.cc \
	larray.cc \
        lappcontrol.cc \
        lappcontrol_class.cc \
        lappevent.cc \
	lbasecollection.cc \
	lbaseobject.cc \
	lbuffer.cc \
	lcgi.cc \
	lcolor.cc \
        lcollection.cc \
	lcond.cc \
	lconfmodule.cc \
	lconfobj.cc \
	lconfparser.cc \
	lconfsys.cc \
	lcrypt.cc \
	lcrypt.xor.cc \
	lcursor.cc \
	ldatetime.cc \
	ldbsystem.cc \
	ldbsystem.mysql.cc \
	ldirectory.cc \
        lemitx.cc \
	lfdlayer.posix.cc \
	lfdlist.cc \
	lfdsendqueue.cc \
	lfile.cc \
	lfiledesc.cc \
	lfstream.cc \
	lhttp.cc \
	lhttpd.cc \
	lhttpdir.cc \
	limage.bmp.cc \
	limage.cc \
	limage.jpeg.cc \
	limage.ppm.cc \
	liostream.cc \
	lloghandler.cc \
	llogsystem.cc \
        lmath.cc \
        lmemory.cc \
	lmutex.cc \
	lobject.cc \
        lqueue.cc \
	lregex.cc \
	lselectloop.cc \
	lsem.cc \
	lsignal.cc \
	lsigset.cc \
	lsimplelist.cc \
	lsockaddr.4inet.cc \
	lsockaddr.cc \
	lsockaddr.unix.cc \
	lsocket.cc \
	lsserver.cc \
	lstreamproxy.cc \
	lstring.cc \
	lstringtokenizer.cc \
	lstrstream.cc \
	lthread.cc \
	ltime.cc \
	ltrace.cc \
	ltracechannel.cc \
	ltracechannel.dgram.cc \
	lurl.cc \
	lutils.cc \
	lvcs.cc \
	lxcpt.cc \
	lparser.cc \
	linterpreter.cc \
	linterpreter_commands.cc \
	linterpreter_plugin.cc \
	lrevision.cc \
	lplugin.cc \
	llibrary.cc \
	lmath.cc \
	lfallback_mutex.cc \
	lstringbase.cc \
	lstringreplace.cc \
	ltrace_output.cc

$(SRCS): ../include/lcl/lcl_config.h

../include/lcl/lcl_config.h:
	( cd .. ; ./configure )

OBJS=$(SRCS:.cc=.o)

DEFS=

INCLS=-I. -I../include -I../pcre

CPPFLAGS= $(DEFS) $(INCLS)

liblcl.a: $(OBJS)
	ar rc liblcl.a $(OBJS)

