#include <lcl/lcrypt.h>

LVCS_INIT(LCryptKey);
LVCS_INIT(LCryptSecretKey);
LVCS_INIT(LCryptPrivateKey);
LVCS_INIT(LCryptPublicKey);
LVCS_INIT(LCryptModule);
LVCS_INIT(LCryptAsymModule);
LVCS_INIT(LCryptSymModule);

LCryptKey::LCryptKey ( )
{
}

LCryptKey::LCryptKey ( LCryptKey const & p1 ) :
  key ( p1.key )
{
}

void LCryptKey::set ( LBuffer const & _value )
{
  key = _value;
}

/*!
 * \return the key value
 */

LBuffer LCryptKey::get ( ) const
{
  return key;
}

bool LCryptPublicKey::isValid () const
{
  return key.getSize();
}

bool LCryptPrivateKey::isValid () const
{
  return key.getSize();
}

LCryptAsymModule::LCryptAsymModule ( LCryptPublicKey const & _key ) :
  publicKey ( _key )
{
}

LCryptAsymModule::LCryptAsymModule ( LCryptPrivateKey const & _key ) :
  privateKey ( _key )
{
}

LCryptSymModule::LCryptSymModule ( LCryptSecretKey const & _key ) :
  key ( _key )
{
}
