/* -*-mode: c++; coding: iso-latin-1-unix; -*- */

#ifndef _LCL_FALLBACK_MUTEX_H_
#define _LCL_FALLBACK_MUTEX_H_

#include <lcl.h>
#include <lcl/lutils.h>
#include <lcl/lmutex.h>

class LCL_EXPORT __lcl_fallbackGuardMutex {
protected:
  LThreadID m_owner;
  LMutex m_controlLock;
  luint32 m_count;

public:
  __lcl_fallbackGuardMutex ();
  ~__lcl_fallbackGuardMutex ();

  bool lock ();
  bool unlock ();
  bool trylock ();
};

#endif
