#ifndef _LSOCKADDR_4INET_H_
#define _LSOCKADDR_4INET_H_

#include <lcl/lsockaddr.h>

/*
#if defined ( _WIN32 ) && ! defined ( __NUTC__ )

  #include <winsock2.h>

#else

  #include <arpa/inet.h>
  #include <netinet/in.h>
  #include <netdb.h>

#endif
*/

class LCL_EXPORT LSockAddr4Inet : public LSockAddr {
 protected:
  sockaddr_in in4_addr;

  LString nameLookup () const;
  LString numLookup () const;

  void setAddrDirect ( unsigned long );
  void setPortDirect ( unsigned short );

 public:
  LSockAddr4Inet ();
  LSockAddr4Inet ( LString const & );
  LSockAddr4Inet ( LString const &, unsigned short ); 
  LSockAddr4Inet ( sockaddr_in const * );
  LSockAddr4Inet ( unsigned short );

  operator sockaddr () const;
  operator sockaddr* ();
  operator sockaddr const * () const;
  operator in_addr () const;

  L_ADDRLEN_T length () const;

  static LSockAddr4Inet any ();
  static LSockAddr4Inet none ();

  void setPort ( unsigned short );
  unsigned short getPort () const;
  unsigned long getAddr ( ) const;

  LString dump () const;

  bool operator == ( LSockAddr4Inet const & ) const;
};

#endif
