#ifndef _LSOCKADDR_UNIX_H_
#define _LSOCKADDR_UNIX_H_

#include <lcl/lsockaddr.h>

#include <sys/un.h>

class LCL_EXPORT LSockAddrUnix : public LSockAddr {
 protected:
  sockaddr_un un_addr;
  LString name;

  LString nameLookup () const;
  LString numLookup () const;

 public:
  LSockAddrUnix ();
  LSockAddrUnix ( LString const & );
  LSockAddrUnix ( sockaddr_un const * );

  operator sockaddr () const;
  operator sockaddr* ();
  operator sockaddr const * () const;

  L_ADDRLEN_T length () const;

  LString dump () const;
};

#endif
