/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#ifndef _LCL_LSTRING_REPLACE_H_
#define _LCL_LSTRING_REPLACE_H_

#include <lcl/lstring.h>
#include <lcl/lhash.h>
#include <lcl/lstringtokenizer.h>

class LCL_EXPORT LStringHashReplacer : public LString::Replacer {
protected:
  LHash<LString,LString> hash;
  bool caseSens;
  LStringTokenizer tok;

public:
  LStringHashReplacer ( LHash<LString,LString> const & _hash, bool _caseSens );
  LString replace ( LString const & _tag ) const;
  virtual ~LStringHashReplacer ();
};

class LCL_EXPORT LStringEnvReplacer : public LString::Replacer {
protected:

public:
  LString replace ( LString const & tag ) const;
  virtual ~LStringEnvReplacer ();
};

#endif
