#ifndef _LUTILS_H_
#define _LUTILS_H_

#include <lcl.h>

LCL_EXPORT unsigned long hash ( char const * p1, unsigned long size, unsigned long hash_size );
//LCL_EXPORT unsigned long hash ( char const * p1, unsigned long hash_size );

LCL_EXPORT unsigned long getLastError ();

LCL_EXPORT unsigned long LGetProcessID ();
LCL_EXPORT LThreadID LGetCurrentThreadID ();

LCL_EXPORT void lcl_sleep ( unsigned long thetime );
LCL_EXPORT void lcl_usleep ( unsigned long usecs );
LCL_EXPORT void lcl_yield ( void );

int GetProtocolByName ( char * );

#ifndef HAVE_USLEEP
void usleep ( unsigned int microsecs );
#endif

#include <lcl/lhash.h>
#include <lcl/lstring.h>

LCL_EXPORT LHash<LString,LString> getEnvVars ();

#ifdef __NUTC__
LCL_EXPORT LString Lnutc2win32 ( LString path );
#endif


#define LTRACE_PERROR() LTRACE ("perror", LString::fromLastError () );
#define LTRACE_ERRNO(s) LTRACE ("perror", LString::fromLastError (s) );

#endif

