#ifndef _LVCS_H_
#define _LVCS_H_

class LVersionControlObject;

#include <lcl.h>

#define LVCS_DECLARE public: static LVersionControlObject vcsObject
#define LVCS_INIT(x) LVersionControlObject x::vcsObject = LVersionControlObject( #x , __LCL_TIMESTAMP__ , __FILE__ )
#define LVCS_INIT_D(x,d) LVersionControlObject x::vcsObject = LVersionControlObject( #x " " d , __LCL_TIMESTAMP__ , __FILE__ )
//#define LVCS_INIT_T2(x,t2) LVersionControlObject x##t2##::vcsObject = LVersionControlObject( #x #t2 , __TIMESTAMP__ , __FILE__ )
//#define LVCS_INIT_T2_D(x,t2,d) LVersionControlObject x##, t2##::vcsObject = LVersionControlObject ( #x "," #t2 d, __TIMESTAMP__, __FILE__ )

class LOStream;

#include <lcl.h>

class LCL_EXPORT LVersionControlObject {
 protected:
  char className [1024];
  char timestamp [64];
  char filename [1024];

 public:
  LVersionControlObject ( char const * _className, char const * _timestamp, char const * _filename );
  LVersionControlObject ( LVersionControlObject const & );

  static void dumpAll ( LOStream & );
};

typedef struct LVCS_Struct {
  LVersionControlObject vco;
  LVCS_Struct * next;
} LVCS_Struct;

extern LVCS_Struct * vcsList_head;
extern LVCS_Struct * vcsList;

#endif
