/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

/* LCL - The Linux Class Library
 * Copyright (C) 1998-2002 Jens Reimann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/**
 * \file lcl_common.h
 *
 * A file which includes stable and common headers to simply allow you to include what you need!
 */

#include <lcl.h>

#include <lcl/lapp.h>
#include <lcl/lcursor.h>
#include <lcl/lhash.h>
#include <lcl/lheap.h>
#include <lcl/lpointer.h>
#include <lcl/lset.h>
#include <lcl/lstring.h>
#include <lcl/lxcpt.h>
#include <lcl/lrevision.h>
#include <lcl/ltrace.h>
#include <lcl/llogsystem.h>

#include <lcl/lbuffer.h>
#include <lcl/lconfparser.h>
#include <lcl/lconfparser_dir.h>
#include <lcl/lconfsys.h>
#include <lcl/lemit.h>
#include <lcl/lfifo.h>
#include <lcl/lmap.h>
#include <lcl/lmutex.h>
#include <lcl/lregex.h>
#include <lcl/lutils.h>
#include <lcl/lstack.h>
#include <lcl/lstreamproxy.h>
#include <lcl/lstringtokenizer.h>



