#include <lcl_common.h>

void main (void)
{
  LSet<LString> set;

  set.add ( "Test1" );
  set.add ( "Test2" );
  set.add ( "Test3" );

  LManagedPointer<LCursor> cursor = set.createCursor ();
  for ( cursor->setToFirst(); cursor->isValid(); cursor->setToNext() )
    {
      lout << set.elementAt ( cursor ) << endl;
    }

  // You can also use a macro "forcursor" to perform the same job
  forcursor ( cursor )
    {
      lout << set.elementAt ( cursor ) << endl;
    }

  // cursor will be deleted automatically!
}
